Longfellow ZK 0290cb32

Loading...
Searching...
No Matches
Public Types | Static Public Member Functions | Static Public Attributes
proofs::Interpolation< N, Field > Class Template Reference

## Public Types
using | Elt = typename Field::Elt
using | PolyN = Poly<N, Field>

## Static Public Member Functions
static void | newton_of_lagrange_inplace (PolyN &A, const PolyN &X, const Field &F)
static PolyN | newton_of_lagrange (const PolyN &L, const PolyN &X, const Field &F)
static Elt | eval_newton (PolyN &Newton, const PolyN &X, const Elt &x, const Field &F)
static void | monomial_of_newton_inplace (PolyN &A, const PolyN &X, const Field &F)
static PolyN | monomial_of_newton (const PolyN &Newton, const PolyN &X, const Field &F)
static Elt | eval_monomial (PolyN &M, const Elt &x, const Field &F)
static void | monomial_of_lagrange_inplace (PolyN &A, const PolyN &X, const Field &F)
static PolyN | monomial_of_lagrange (const PolyN &L, const PolyN &X, const Field &F)

## Static Public Attributes
static const size_t | kN = N

The documentation for this class was generated from the following file:

- lib/algebra/interpolation.h